Get the current per-project knowledge-graph ontology state
Get the current draft/approved ontology state for this project.
AuthorizationBearer <token>OpenAI-Organization?|Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
OpenAI-Project?|Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
Successful Response
application/json- response
API-facing view of a project's ontology-discovery/approval state.
id*stringproject_id*stringstate*OntologyStateLifecycle state of a project's discovered ontology.
"discovering""draft""approved""failed""cancelled"ontology?|nullapproved_ontology?|nullsource_file_ids?array<string>boundaries?string|nullpreset?|Starting ontology the current ontology was seeded from (the preset of the last successful discovery before the first save/approve); null until such a discovery succeeds, and for ontologies approved before presets existed.
last_error?string|nullwarnings?array<string>Discovery steps that soft-failed while producing the draft.
created_at*stringdate-timeupdated_at*stringdate-timecurl -X GET 'https://deepfellow-server-host/v1/graph/ontology'{ "id": "string", "project_id": "string", "state": "discovering", "ontology": {}, "approved_ontology": {}, "source_file_ids": [ "string" ], "boundaries": "string", "preset": "general", "last_error": "string", "warnings": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.